<template>
    <div align="end" justify="end" class=" px-4">
      <v-btn
        color="primary"
        class="caption ttn no-transform mb-6"
        @click="dialog = true"
      >
        Add a inventory
      </v-btn>
    <v-dialog
      width="400"
      persistent
      v-model="dialog"
    >
      <InventoryForm  :dialog="dialog" @stored="stored()" @closed="dialog = false" />
    </v-dialog>
    </div>
  </template>

<script>
export default {
  name: 'Create',
  components: {
    InventoryForm: () => import('./partials/roleForm'),
  },

  data() {
    return {
      dialog: false,
    };
  },

  methods: {
    stored() {
      this.dialog = false;
      this.$emit('stored');
    },
  },
};
</script>
